%define languageenglazy Amharic
%define languagecode    am
%define lc_ctype        am_ET

%define upstream_version 20090704

Name:           hunspell-%{languagecode}
Version:        0.%{upstream_version}.1
Release:        %mkrel 8
Summary:        %{languageenglazy} hunspell dictionaries
License:        GPL+
Group:          System/Internationalization
URL:            http://www.cs.ru.nl/~biniam/geez/index.php
Source0:        http://www.cs.ru.nl/~biniam/geez/dict/%{lc_ctype}.zip

BuildArch:      noarch

Suggests:       hunspell

Requires:       locales-am
#Mageia values: 1 - aspell, 2 - hunspell, 3 - language specific
Provides:       enchant-dictionary = 2
Provides:       hunspell-dictionary
Provides:       hunspell-%{lc_ctype} = %{version}-%{release}
#Generic providing - see Mageia values
Provides:       dictionary-%{languagecode} = 2 
Provides:       dictionary-%{lc_ctype} = 2

#MySpell is deprecated
Obsoletes:      myspell-%{languagecode} < 1.0.3
Provides:       myspell-%{languagecode}
Obsoletes:      myspell-am_AM < 1.0.3
Provides:       myspell-am_AM

%description
%{languageenglazy} hunspell dictionaries.


%prep
%setup -q -n %{lc_ctype}

%build
tr -d '\r' < README.txt > README.txt.new
touch -r README.txt README.txt.new
mv -f README.txt.new README.txt

%install
install -D -m 0644 -p %{lc_ctype}.dic %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.dic
install -D -m 0644 -p %{lc_ctype}.aff %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.aff

#backward compatibility
mkdir -p %{buildroot}%{_datadir}/myspell
pushd %{buildroot}%{_datadir}/myspell
    ln -s ../hunspell/%{lc_ctype}.dic %{lc_ctype}.dic
    ln -s ../hunspell/%{lc_ctype}.aff %{lc_ctype}.aff
popd #%%{buildroot}%%{_datadir}/myspell

%files
%doc README.txt
%{_datadir}/hunspell/*
%{_datadir}/myspell/*



%changelog

* Tue Mar 20 2012 kamil <kamil> 0.20090704.1-8.mga2
+ Revision: 224554
- add requirement on locales (mga#4632)

* Thu Feb 16 2012 kamil <kamil> 0.20090704.1-7.mga2
+ Revision: 209603
- obsolete myspell-am_AM instead of myspell-am_ET

* Sun Feb 12 2012 kamil <kamil> 0.20090704.1-6.mga2
+ Revision: 207629
- use better obsoleting of myspell

* Sun Jan 15 2012 kamil <kamil> 0.20090704.1-5.mga2
+ Revision: 196582
- drop requirement on locales
- hunspell is now suggested

* Mon Jan 09 2012 kamil <kamil> 0.20090704.1-4.mga2
+ Revision: 194080
- adapt the file to the current policy
  o use languageenglazy, languagecode, lc_ctype defines
  o add requirements on locales-%%{languagecode}
  o add providing of
  x enchant-dictionary
  x hunspell-dictionary
  x hunspell-%%{lc_ctype}
  x dictionary-%%{languagecode}
  x dictionary-%%{lc_ctype}
  o install files into %%{_datadir}/hunspell/*
  o add backward compatibility for myspell
  o obsolete myspell-am
- clean spec

* Sat Mar 12 2011 dmorgan <dmorgan> 0.20090704.1-3.mga1
+ Revision: 68638
- imported package hunspell-am

